## linux-deepin-latest 5.10.101

=== Makefile ===
abiname=5.10.101
all: build
build:
	cat debian/control.in | sed -e 's/ABINAME/$(abiname)/g' > debian/control

## linux-deepin-latest 5.10.29

=== debian/changelog ===
linux-deepin-latest (5.10.29-1apricot) unstable; urgency=medium

  * update

 -- LinuxDeepin Project <linuxdeepin@linuxdeepin.com>  Thu, 15 Apr 2021 13:23:24 +0800

linux-deepin-latest (5.10.29-1apricot) stable; urgency=medium

  * update kernel 5.10.29.
  

 -- Deepin <lichenggang@uniontech.com>  Thu, 15 Apr 2021 10:28:21 +0800

linux-deepin-latest (5.10.18-1apricot) apricot; urgency=medium

  * update kernel.

 -- Deepin <lichenggang@uniontech.com>  Fri, 26 Feb 2021 14:34:59 +0800

linux-deepin-latest (5.4.70-1) apricot; urgency=medium

  * Non-maintainer upload.
  * update kernel

 --  <package@uniontech.com>  Fri, 16 Oct 2020 17:07:51 +0800

linux-deepin-latest (5.4.50-1apricot) apricot; urgency=medium

  * Non-maintainer upload.
  * update kernel

 --  <lichenggang@uniontech.com>  Thu, 20 Aug 2020 12:27:57 +0800

linux-deepin-latest (5.3.15-6apricot) apricot; urgency=medium

  * update

 --  <zhangshuang@uniontech.com>  Mon, 13 Apr 2020 17:09:10 +0800

linux-deepin-latest (5.3.15-5apricot) apricot; urgency=medium

  * update apricot

 -- Packages <zhangshuang@uniontech.com>  Sat, 11 Apr 2020 20:55:40 +0800

linux-deepin-latest (5.3.15-4plum) plum; urgency=medium

  * update 4plum

 -- Packages <zhangshuang@uniontech.com>  Thu, 12 Mar 2020 21:39:13 +0800

linux-deepin-latest (4.19.67-9eagle) eagle; urgency=medium

  * update for 9eagle

 -- Deepin Packages Builder <zhangshuang@uniontech.com>  Sat, 29 Feb 2020 21:13:13 +0800

linux-deepin-latest (4.19.67-8eagle) eagle; urgency=medium

  * update for 8eagle

 -- Deepin Packages Builder <zhangshuang@uniontech.com>  Sat, 22 Feb 2020 20:50:32 +0800

linux-deepin-latest (4.19.67-7deepin) eagle; urgency=medium

  * update for 7deepin

 -- Deepin Packages Builder <zhangshuang@deepin.com>  Sat, 11 Jan 2020 23:37:38 +0800

linux-deepin-latest (4.19.67-6deepin) eagle; urgency=medium

  * update for 6deepin

 -- Deepin Packages Builder <zhangshuang@deepin.com>  Thu, 02 Jan 2020 18:33:07 +0800

linux-deepin-latest (4.19.67-4deepin) eagle; urgency=medium

  * add elf sig support

 -- Deepin Packages Builder <Packages@deepin.com>  Wed, 11 Dec 2019 13:20:15 +0800

linux-deepin-latest (4.19.67-3deepin) eagle; urgency=medium

  * builder for 4.19.0-6

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 26 Oct 2019 10:25:45 +0800

linux-deepin-latest (4.19.37-9deepin) eagle; urgency=medium

  * builder for 4.19.0-5 9deepin

 -- Deepin Packages Builder <zhangshuang@deepin.com>  Mon, 23 Sep 2019 19:48:59 +0800

linux-deepin-latest (4.19.37-8deepin) eagle; urgency=medium

  * buider for 4.19.0-5 8deepin

 -- Deepin Packages Builder <zhangshuang@deepin.com>  Wed, 14 Aug 2019 19:52:17 +0800

linux-deepin-latest (4.19.37-6deepin) eagle; urgency=medium

  * build for 4.19.0-5

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Jul 2019 14:38:09 +0800

=== debian/control ===
Source: linux-deepin-latest
Section: metapackages
Priority: extra
Maintainer: LinuxDeepin Project <linuxdeepin@linuxdeepin.com>
Build-Depends: debhelper (>=8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.deepin.com

Package: linux-image-deepin-amd64
Architecture: amd64
Depends: linux-image-5.10.29-amd64-desktop
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-deepin-amd64
Architecture: amd64
Depends: linux-headers-5.10.29-amd64-desktop
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

## linux-deepin-latest 5.10.101

=== debian/changelog ===
linux-deepin-latest (5.10.101-1apricot) unstable; urgency=medium

  * update kernel 5.10.101 

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 07 Mar 2022 16:07:20 +0800

linux-deepin-latest (5.10.83.1-1apricot) unstable; urgency=medium

  * update depends 

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 31 Dec 2021 09:40:38 +0800

linux-deepin-latest (5.10.83-1apricot) unstable; urgency=medium

  * update kernel 5.10.83.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 28 Dec 2021 11:37:11 +0800

linux-deepin-latest (5.10.60-1apricot) unstable; urgency=medium

  * update kernel 5.10.60.

 -- Deepin <lichenggang@uniontech.com>  Mon, 30 Aug 2021 14:54:13 +0800

linux-deepin-latest (5.10.50-1apricot) unstable; urgency=medium

  * update kernel 5.10.50.

 -- Deepin <lichenggang@uniontech.com>  Tue, 20 Jul 2021 11:04:44 +0800

linux-deepin-latest (5.10.36-1apricot) unstable; urgency=medium

  * update kernel 5.10.36.

 -- Deepin <lichenggang@uniontech.com>  Mon, 17 May 2021 09:49:30 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: linux-image-deepin-amd64
 Architecture: amd64
-Depends: linux-image-5.10.29-amd64-desktop
+Depends: linux-image-ABINAME-amd64-desktop
 Description: Linux for 64-bit PCs (meta-package)
  This package depends on the latest Linux kernel and modules for use on PCs
  with AMD64, Intel 64 or VIA Nano processors.
@@ -18,7 +18,7 @@
 
 Package: linux-headers-deepin-amd64
 Architecture: amd64
-Depends: linux-headers-5.10.29-amd64-desktop
+Depends: linux-headers-ABINAME-amd64-desktop
 Description: Header files for Linux amd64 configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest Linux kernel amd64 configuration.

## linux-deepin-latest 5.15.45

=== Makefile ===
abiname=5.15.45
all: build
build:
	cat debian/control.in | sed -e 's/ABINAME/$(abiname)/g' > debian/control

=== debian/changelog ===
linux-deepin-latest (5.15.45-1apricot) unstable; urgency=medium

  * update kernel 5.15.45 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 08 Jun 2022 09:50:32 +0800

## linux-deepin-latest 5.15.77

=== Makefile ===
abiname=5.15.77
all: build
build:
	cat debian/control.in | sed -e 's/ABINAME/$(abiname)/g' > debian/control

=== debian/changelog ===
linux-deepin-latest (5.15.77-1apricot) unstable; urgency=medium

  * update kernel 5.15.77.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 09 Nov 2022 16:58:43 +0800

## linux-deepin-latest 23.01.01.01

=== Makefile ===
amd64_abiname=6.9.6
arm64_abiname=5.10.0
loong64_abiname=6.9.6
ARCH_BUILD :=$(shell uname -m)
all: build
build:
ifeq ($(ARCH_BUILD), x86_64)
	cat debian/control.in | sed -e 's/AMD64ABINAME/$(amd64_abiname)/g' > debian/control
else ifeq ($(ARCH_BUILD), aarch64)
	cat debian/control.in | sed -e 's/ARM64ABINAME/$(arm64_abiname)/g' > debian/control
else ifeq ($(ARCH_BUILD), loongarch64)
	cat debian/control.in | sed -e 's/LOONG64ABINAME/$(loong64_abiname)/g' > debian/control
endif

=== debian/changelog ===
linux-deepin-latest (23.01.01.01) unstable; urgency=medium

  * Update amd64, loong64 kernels to 6.9.6.
  * Use UOS-style version scheme.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 09 Jul 2024 17:07:17 +0800

linux-deepin-latest (6.0.8) unstable; urgency=medium

  * update loong64-desktop kernel to 6.9.5.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 18 Jun 2024 16:14:59 +0800

linux-deepin-latest (6.0.7) unstable; urgency=medium

  * update loong64-desktop kernel to 6.9.3.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 03 Jun 2024 13:26:53 +0800

linux-deepin-latest (6.0.6) unstable; urgency=medium

  * update loongarch64 kernel to 6.9.2 release.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 27 May 2024 10:45:37 +0800

linux-deepin-latest (6.0.4) unstable; urgency=medium

  * update loongarch64 kernel to 6.9.1 release.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 20 May 2024 15:11:52 +0800

linux-deepin-latest (6.0.3) unstable; urgency=medium

  * update loongarch64 kernel 6.9.0 release.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 09 May 2024 13:42:41 +0800

linux-deepin-latest (6.0.2) unstable; urgency=medium

  * update loongarch64 kernel 6.9.0-rc3 release.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 15 Mar 2024 15:59:42 +0800

linux-deepin-latest (6.0.0) unstable; urgency=medium

  * add arm64 loong64 kernel packages.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 06 Mar 2024 11:36:52 +0800

linux-deepin-latest (5.15.77-0deepin) unstable; urgency=medium

  * update v23 kernel 5.15.77

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 26 Dec 2023 17:04:41 +0800

=== debian/control ===
Source: linux-deepin-latest
Section: metapackages
Priority: standard
Maintainer: LinuxDeepin Project <linuxdeepin@linuxdeepin.com>
Build-Depends: debhelper (>=8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.deepin.com

Package: linux-image-deepin-amd64
Architecture: amd64
Depends: linux-image-AMD64ABINAME-amd64-desktop
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-deepin-amd64
Architecture: amd64
Depends: linux-headers-AMD64ABINAME-amd64-desktop
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

Package: linux-image-deepin-arm64
Architecture: arm64
Depends: linux-image-ARM64ABINAME-arm64-desktop
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-deepin-arm64
Architecture: arm64
Depends: linux-headers-ARM64ABINAME-arm64-desktop
Description: Header files for Linux arm64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

Package: linux-image-deepin-loong64
Architecture: loong64
Depends: linux-image-LOONG64ABINAME-loong64-desktop
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-deepin-loong64
Architecture: loong64
Depends: linux-headers-LOONG64ABINAME-loong64-desktop
Description: Header files for Linux loong64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

## linux-deepin-latest 23.01.01.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.9.6
-arm64_abiname=5.10.0
-loong64_abiname=6.9.6
+amd64_abiname=6.12.9
+arm64_abiname=6.12.9
+loong64_abiname=6.12.9
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.18) unstable; urgency=medium

  * Update all kernels to 6.12.9.

 -- lichenggang <lichenggang@deepin.org>  Mon, 13 Jan 2025 10:10:06 +0800

linux-deepin-latest (23.01.01.12) unstable; urgency=medium

  * Update all kernels to 6.12.1.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 18 Nov 2024 16:19:38 +0800

## linux-deepin-latest 23.01.01.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.9
-arm64_abiname=6.12.9
-loong64_abiname=6.12.9
+amd64_abiname=6.12.20
+arm64_abiname=6.12.20
+loong64_abiname=6.12.20
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.21) unstable; urgency=medium

  * update all kernel to 6.12.20.

 -- lichenggang <lichenggang@deepin.org>  Thu, 27 Mar 2025 13:45:12 +0800

linux-deepin-latest (23.01.01.19) unstable; urgency=medium

  * update all kernel to 6.12.17.

 -- lichenggang <lichenggang@deepin.org>  Wed, 05 Mar 2025 17:06:24 +0800

=== debian/control ===
Source: linux-deepin-latest
Section: metapackages
Priority: extra
Maintainer: LinuxDeepin Project <linuxdeepin@linuxdeepin.com>
Build-Depends: debhelper (>=8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.deepin.com

Package: linux-image-deepin-amd64
Architecture: amd64
Depends: linux-image-6.12-amd64-desktop-rolling
Description: Linux for x86-64 devices (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 x86-64 devices.

Package: linux-image-deepin-amd64-dbg
Architecture: amd64
Depends: linux-image-6.12-amd64-desktop-rolling-dbg
Description: Linux for x86-64 devices (meta-package for debug symbols)
 This package depends on the latest Linux kernel and modules for use on
 x86-64 devices.

Package: linux-headers-deepin-amd64
Architecture: amd64
Depends: linux-headers-6.12-amd64-desktop-rolling
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

Package: linux-image-deepin-arm64
Architecture: arm64
Depends: linux-image-ARM64ABINAME-arm64-desktop-rolling
Description: Linux for AArch64devices (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 AArch64 devices.

Package: linux-image-deepin-arm64-dbg
Architecture: arm64
Depends: linux-image-ARM64ABINAME-arm64-desktop-rolling-dbg
Description: Linux for AArch64 devices (meta-package for debug symbols)
 This package depends on the latest Linux kernel and modules for use on
 AArch64 devices.

Package: linux-headers-deepin-arm64
Architecture: arm64
Depends: linux-headers-ARM64ABINAME-arm64-desktop-rolling
Description: Header files for Linux arm64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel arm64 configuration.

Package: linux-image-deepin-loong64
Architecture: loong64
Depends: linux-image-LOONG64ABINAME-loong64-desktop-rolling
Description: Linux for LoongArch devices (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 LoongArch devices.

Package: linux-image-deepin-loong64-dbg
Architecture: loong64
Depends: linux-image-LOONG64ABINAME-loong64-desktop-rolling-dbg
Description: Linux for LoongArch devices (meta-package for debug symbols)
 This package depends on the latest Linux kernel and modules for use on
 LoongArch devices.

Package: linux-headers-deepin-loong64
Architecture: loong64
Depends: linux-headers-LOONG64ABINAME-loong64-desktop-rolling
Description: Header files for Linux loong64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel loong64 configuration.

## linux-deepin-latest 23.01.01.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.20
-arm64_abiname=6.12.20
-loong64_abiname=6.12.20
+amd64_abiname=6.12.28
+arm64_abiname=6.12.28
+loong64_abiname=6.12.28
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.24) unstable; urgency=medium

  * update all kernel to 6.12.28.

 -- lichenggang <lichenggang@deepin.org>  Thu, 15 May 2025 15:31:52 +0800

## linux-deepin-latest 23.01.01.28

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.28
-arm64_abiname=6.12.28
-loong64_abiname=6.12.28
+amd64_abiname=6.12.33
+arm64_abiname=6.12.33
+loong64_abiname=6.12.33
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.28) unstable; urgency=medium

  * update all kernel to 6.12.33.

 -- lichenggang <lichenggang@deepin.org>  Wed, 11 Jun 2025 09:38:40 +0800

linux-deepin-latest (23.01.01.27) unstable; urgency=medium

  * update all kernel to 6.12.31.

 -- lichenggang <lichenggang@deepin.org>  Wed, 04 Jun 2025 14:05:37 +0800

## linux-deepin-latest 23.01.01.30

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.33
-arm64_abiname=6.12.33
-loong64_abiname=6.12.33
+amd64_abiname=6.12.36
+arm64_abiname=6.12.36
+loong64_abiname=6.12.36
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.30) unstable; urgency=medium

  * update all kernel to 6.12.39.

 -- lichenggang <lichenggang@deepin.org>  Thu, 10 Jul 2025 20:40:35 +0800

## linux-deepin-latest 23.01.01.31

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.36
-arm64_abiname=6.12.36
-loong64_abiname=6.12.36
+amd64_abiname=6.12.41
+arm64_abiname=6.12.41
+loong64_abiname=6.12.41
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.31) unstable; urgency=medium

  * update all kernel to 6.12.41.

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Aug 2025 21:08:07 +0800

## linux-deepin-latest 23.01.01.32

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.41
-arm64_abiname=6.12.41
-loong64_abiname=6.12.41
+amd64_abiname=6.12.43
+arm64_abiname=6.12.43
+loong64_abiname=6.12.43
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.32) unstable; urgency=medium

  * update all kernel to 6.12.43.

 -- lichenggang <lichenggang@deepin.org>  Tue, 09 Sep 2025 14:27:25 +0800

## linux-deepin-latest 23.01.01.33

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.43
-arm64_abiname=6.12.43
-loong64_abiname=6.12.43
+amd64_abiname=6.12.53
+arm64_abiname=6.12.53
+loong64_abiname=6.12.53
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.33) unstable; urgency=medium

  * update all kernel to 6.12.53. 

 -- lichenggang <lichenggang@deepin.org>  Thu, 16 Oct 2025 16:22:56 +0800

## linux-deepin-latest 23.01.01.36

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.53
-arm64_abiname=6.12.53
-loong64_abiname=6.12.53
+amd64_abiname=6.12.63
+arm64_abiname=6.12.63
+loong64_abiname=6.12.63
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.36) unstable; urgency=medium

  * udate all kernek to 6.12.63.

 -- lichenggang <lichenggang@deepin.org>  Thu, 25 Dec 2025 13:41:51 +0800

linux-deepin-latest (23.01.01.34) unstable; urgency=medium

  * update all kernel to 6.12.60.

 -- lichenggang <lichenggang@deepin.org>  Wed, 03 Dec 2025 09:37:29 +0800

## linux-deepin-latest 23.01.01.37

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.12.63
-arm64_abiname=6.12.63
-loong64_abiname=6.12.63
+amd64_abiname=6.12.65
+arm64_abiname=6.12.65
+loong64_abiname=6.12.65
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-latest (23.01.01.37) unstable; urgency=medium

  * update all kernel to 6.12.65

 -- lichenggang <lichenggang@deepin.org>  Wed, 14 Jan 2026 09:52:12 +0800
